package com.hyc.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;

/**
 * 延时线程池配置类
 *
 * @author YouChe·He
 * @ClassName: ExecutorConfig
 * @Description: 延时线程池配置类
 * @CreateTime: 2024/6/28 18:44
 */
@Configuration
public class ExecutorConfig {
    @Bean
    public ScheduledExecutorService scheduledExecutorService() {
        return Executors.newScheduledThreadPool(20);
    }
}
