package com.hyc.config;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hyc.domain.cache.CacheIndexWarn;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.Cache;
import org.springframework.cache.CacheManager;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

/**
 * 处理小车连接
 *
 * @author YouChe·He
 * @ClassName: HandleConnection
 * @Description: 处理小车连接
 * @CreateTime: 2024/6/28 19:33
 */
@Slf4j
@Component
public class HandleConnection {

    @Autowired
    private RedisTemplate<String,String> redisTemplate;
    @Autowired
    private CacheManager cacheManager;

    @RabbitListener(queues = {RabbitmqConfig.INIT_CONNECT})
    public void receive_email(Message message){

//        Cache indexWarn = cacheManager.getCache("indexWarn");
//
        String s = new String(message.getBody());
        JSONObject jsonObject = JSONObject.parseObject(s);
        String carVin = jsonObject.getString("clientId");
//
//        String s1 = redisTemplate.opsForValue().get(carVin + "_Index_Warn");
//
//        indexWarn.put(carVin+"_Index_Warn", s1);

        log.error("链接事件得到的VIN:{}",carVin);
    }
    //监听sms队列
    @RabbitListener(queues = {RabbitmqConfig.DISCONNECT_CONNECT})
    public void receiveSms(Message message) {
        Cache indexWarn = cacheManager.getCache("indexWarn");

        String s = new String(message.getBody());
        JSONObject jsonObject = JSONObject.parseObject(s);
        String carVin = jsonObject.getString("clientId");
        log.warn("断开连接的车辆是:{}",carVin);

        indexWarn.evict(carVin+"_Index_Warn");
    }
}
