package com.hyc.consumer;

import com.alibaba.fastjson.JSONObject;
import com.hyc.config.RabbitmqConfig;
import com.rabbitmq.client.Channel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.Cache;
import org.springframework.cache.CacheManager;
import org.springframework.stereotype.Component;

/**
 * 更新本地缓存配置消费者
 *
 * @author YouChe·He
 * @ClassName: UpdateConfig
 * @Description: 更新本地缓存配置消费者
 * @CreateTime: 2024/6/29 10:47
 */
@Slf4j
@Component
public class UpdateConfig {
    @Autowired
    private RabbitTemplate rabbitTemplate;

    @Autowired
    private CacheManager cacheManager;
    @RabbitListener(queues = RabbitmqConfig.UPDATE_INDEX_WARN)
    public void indexWarnEventMessage(String indexWarnToRedis, Channel channel, Message message){
//        List<IndexWarnEventResp> indexWarnEventResps = JSONObject.parseArray(indexWarnMessage, IndexWarnEventResp.class);
        String vin = JSONObject.parseObject(indexWarnToRedis).getString("vin");
        Cache indexWarn = cacheManager.getCache("indexWarn");
        indexWarn.put(vin + "_Index_Warn",indexWarnToRedis);
        Cache.ValueWrapper valueWrapper = indexWarn.get(vin + "_Index_Warn");
        log.warn("更新后的值是:{}",valueWrapper.get().toString());
    }
}
