package com.hyc.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 概述响应类
 *
 * @author YouChe·He
 * @ClassName: SummarizeResp
 * @Description: 概述响应类
 * @CreateTime: 2024/6/2 16:39
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SummarizeResp {
    /**
     * 网管节点收集数量
     */
    private Integer gateWayServerNum;
    /**
     * 数据解析节点数量
     */
    private Integer dataAnalyze;

    /**
     * 整体负载
     */
    private Double allLoad;
    /**
     * 车辆在线数
     */
    private Integer catOnline;
    private List<TimeSortCar> timeSortCarList;

    private List<GetWayServerLoad> getWayServerLoadList;

    private List<VinIp> vinIpList;
}
