package com.hyc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 时间排序小车
 *
 * @author YouChe·He
 * @ClassName: TimeSortCar
 * @Description: 时间排序小车
 * @CreateTime: 2024/6/2 16:34
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class TimeSortCar implements Comparable<TimeSortCar> {
    /**
     * 车辆唯一标识 VIN
     */
    private String vin;

    /**
     * 连接节点ip
     */
    private String ip;
    /**
     * 连接时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date connectTime;
    /**
     * 连接时长 单位分钟
     */
    private long connectDuration;

    @Override
    public int compareTo(TimeSortCar o) {
        return Double.compare((int) o.connectDuration,(int) this.connectDuration);
    }
}
