package com.hyc.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * 小车数据类
 *
 * @author YouChe·He
 * @ClassName: VehicleData
 * @Description: 小车数据类
 * @CreateTime: 2024/6/14 16:19
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class VehicleData {
    private String vin;
    private Long startTime;
    private Double longitude;
    private Double latitude;
    private Double speed;
    private Double mileage;
    private Double voltage;
    private Double current;
    private Double resistance;
    private String gear;
    private Double accelerationPedal;
    private Double brakePedal;
    private Double fuelConsumptionRate;
    private Double motorControllerTemperature;
    private Double motorSpeed;
    private Double motorTorque;
    private Double motorTemperature;
    private Double motorVoltage;
    private Double motorCurrent;
    private Double remainingBattery;
    private Double maximumFeedbackPower;
    private Double maximumDischargePower;
    private Double selfCheckCounter;
    private Double totalBatteryCurrent;
    private Double totalBatteryVoltage;
    private Double singleBatteryMaxVoltage;
    private Double singleBatteryMinVoltage;
    private Double singleBatteryMaxTemperature;
    private Double singleBatteryMinTemperature;
    private Double availableBatteryCapacity;
    private Integer vehicleStatus;
    private Integer chargingStatus;
    private Integer operatingStatus;
    private Integer socStatus;
    private Integer chargingEnergyStorageStatus;
    private Integer driveMotorStatus;
    private Integer positionStatus;
    private Integer easStatus;
    private Integer ptcStatus;
    private Integer epsStatus;
    private Integer absStatus;
    private Integer mcuStatus;
    private Integer heatingStatus;
    private Integer batteryStatus;
    private Integer batteryInsulationStatus;
    private Integer dcdcStatus;
    private Integer chgStatus;
}
