package com.hyc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 小车绑定服务信息
 *
 * @author YouChe·He
 * @ClassName: VinIp
 * @Description: 小车绑定服务信息
 * @CreateTime: 2024/6/2 16:52
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class VinIp {

    /**
     * 车辆唯一标识 VIN
     */
    private String vin;

    /**
     * 连接节点ip
     */
    private String ip;
    /**
     * 连接时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date connectTime;
}
