package com.hyc.domain.cache;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.apache.kafka.common.protocol.types.Field;

/**
 * 缓存小车事件类
 *
 * @author YouChe·He
 * @ClassName: CacheCarEvent
 * @Description: 缓存小车事件类
 * @CreateTime: 2024/6/14 20:29
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class CacheCarEvent {
    /**
     * 对应id
     */
    private Integer id;
    /**
     * 小车VIN
     */
    private String vin;
    /**
     * 绑定事件
     * 1:电子围栏事件
     * 2:实时数据事件
     * 3:故障预警事件
     */
    private String eventValue;

}
