package com.hyc.domain.cache;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.context.ApplicationEvent;

import java.time.Clock;

/**
 * 缓存指标预警信息参数类
 *
 * @author YouChe·He
 * @ClassName: CacheIndexWarn
 * @Description: 缓存指标预警信息参数类
 * @CreateTime: 2024/6/28 14:32
 */


public class CacheIndexWarn extends ApplicationEvent {
    /**
     * 关联小车
     */
    private String vin;
    /**
     * 指标项名字,多项以逗号隔开
     */
    private String indexNames;
    /**
     * 滑窗长度 单位秒
     */
    private Integer totalLength;
    /**
     * 滑动长度 单位秒
     */
    private Integer slideLength;


    public CacheIndexWarn(Object source,String vin,String indexNames,Integer totalLength,Integer slideLength) {

        super(source);
        this.vin = vin;
        this.indexNames = indexNames;
        this.totalLength = totalLength;
        this.slideLength = slideLength;

    }

    public CacheIndexWarn(Object source, Clock clock) {
        super(source, clock);
    }

    public String getVin() {
        return vin;
    }

    public String getIndexNames() {
        return indexNames;
    }

    public Integer getTotalLength() {
        return totalLength;
    }

    public Integer getSlideLength() {
        return slideLength;
    }
}
