package com.hyc.kafka.demo.service.impl;

import com.hyc.domain.cache.CacheCarEvent;
import com.hyc.kafka.demo.mapper.CarEventMapper;
import com.hyc.kafka.demo.service.CarEventService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 小车绑定服务实现类
 *
 * @author YouChe·He
 * @ClassName: CarEventServiceImpl
 * @Description: 小车绑定服务实现类
 * @CreateTime: 2024/6/14 20:38
 */
@Service
@Slf4j
public class CarEventServiceImpl implements CarEventService {
    @Autowired
    private CarEventMapper carEventMapper;

    @Override
    public CacheCarEvent getCarEvent(String vin) {
        log.info("小车的VIN是:{}",vin);
        CacheCarEvent cacheCarEvent = carEventMapper.getCarEvent(vin);
        return cacheCarEvent;
    }

    @Override
    public List<CacheCarEvent> getAllCarEvent() {
        return carEventMapper.getAllCarEvent();
    }
}
