package com.hyc.simulate.constant;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import org.springframework.amqp.core.Binding;
import org.springframework.amqp.core.BindingBuilder;
import org.springframework.amqp.core.FanoutExchange;
import org.springframework.amqp.core.Queue;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 交换机常量
 *
 * @author YouChe·He
 * @ClassName: ExchangeConstant
 * @Description: 交换机常量
 * @CreateTime: 2024/6/15 19:01
 */
@Configuration
public class ExchangeConstant {

    public final static String UPDATE_CONSTANT = "update_constant";

    @Bean
    public FanoutExchange handleEvent(){
        return new FanoutExchange(UPDATE_CONSTANT);
    }

}
