package com.hyc.simulate.faulttest.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.*;

import java.util.Date;

/**
 * 故障记录类
 *
 * @author YouChe·He
 * @ClassName: FaultRecord
 * @Description: 故障记录类
 * @CreateTime: 2024/6/21 11:32
 */
@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class FaultRecord {
    /**
     * 故障id
     */
    private Integer id;
    /**
     *故障码
     */
    private String faultCode;
    /**
     * 车辆VIN
     */
    private String vin;
    /**
     * 故障开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    /**
     * 故障结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    /**
     * 故障水平
     */
    private String faultLevel;

    /**
     * 故障是否处理
     */
    private String faultHandle;
}
