package com.hyc.simulate.kafkatest;

import com.alibaba.fastjson.JSONObject;
import com.hyc.domain.req.CarEventUpdate;
import com.hyc.domain.req.UpdateAnalyzeRule;
import com.hyc.domain.result.Result;
import com.hyc.simulate.constant.ExchangeConstant;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cache.Cache;
import org.springframework.cache.CacheManager;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 更新事件测试类
 *
 * @author YouChe·He
 * @ClassName: RenewalEventTest
 * @Description: 更新事件测试类
 * @CreateTime: 2024/6/15 18:40
 */
@Slf4j
@RestController
@RequestMapping("test")
public class RenewalEventTest {
    @Autowired
    private RabbitTemplate rabbitTemplate;
    @Autowired
    private CacheManager cacheManager;

    @PostMapping("/broadcast")
    public String broadcastMessage(@RequestBody CarEventUpdate carEventUpdate){

        Cache cache = cacheManager.getCache("carEvent");
        Cache.ValueWrapper valueWrapper = cache.get(carEventUpdate.getVin());
        log.info("小车:{}更新前的缓存中事件值是:{}",carEventUpdate.getVin(),valueWrapper.get().toString());
        if (valueWrapper != null) {

        }
        rabbitTemplate.convertAndSend(ExchangeConstant.UPDATE_CONSTANT,"", JSONObject.toJSONString(carEventUpdate));
        return "sent success!";
    }

    @PostMapping("/updateAnalyzeRule")
    public Result updateAnalyzeRule(@RequestBody UpdateAnalyzeRule updateAnalyzeRule){

        return Result.success();
    }

}
