package com.hyc.simulate.redistest;

import com.alibaba.fastjson.JSONObject;
import com.hyc.domain.VehicleData;
import com.hyc.domain.constant.EventConstant;
import com.hyc.domain.req.UpdateAnalyzeRule;
import com.hyc.domain.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.TimeUnit;

/**
 * 在redsi中创建事件相关key
 *
 * @author YouChe·He
 * @ClassName: RedisCreateKey
 * @Description: 在redsi中创建事件相关key
 * @CreateTime: 2024/6/16 15:35
 */
@RestController
@RequestMapping("/test/redis")
public class RedisCreateKey {

    @Autowired
    private RedisTemplate<String,String> redisTemplate;

    //创建创建实时数据的key
    @RequestMapping("/createRealTimeDataKey")
    public Result createRealTimeDataKey(String vin) {
        redisTemplate.opsForList().rightPush(vin + EventConstant.REAL_TIME_DATA,"");
        redisTemplate.expire(vin+EventConstant.REAL_TIME_DATA, 180, TimeUnit.SECONDS); // 设置键 "key" 的过期时间为180秒
        return Result.success("","创建成功");
    }

    //获取实时数据
    @RequestMapping("/getDataByRedis")
    public Result<VehicleData> getDataByRedis(String vin){
        String vehicleJson = redisTemplate.opsForList().index(vin+EventConstant.REAL_TIME_DATA, -1);
        redisTemplate.expire(vin+EventConstant.REAL_TIME_DATA, 180, TimeUnit.SECONDS); // 设置键 "your_key" 的过期时间为180秒
        VehicleData vehicleData = JSONObject.parseObject(vehicleJson, VehicleData.class);
        return Result.success(vehicleData);
    }

}
