//package com.hyc.simulate.scheduletest;
//
//import jodd.util.concurrent.ThreadFactoryBuilder;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Value;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.scheduling.annotation.SchedulingConfigurer;
//import org.springframework.scheduling.config.ScheduledTaskRegistrar;
//
//import java.util.concurrent.*;
//
///**
// * 周期性线程池的配置
// *
// * @author YouChe·He
// * @ClassName: ScheduleConfig
// * @Description: 周期性线程池的配置
// * @CreateTime: 2024/6/26 15:53
// */
//@Slf4j
//@Configuration
//public class ScheduleConfig implements SchedulingConfigurer {
//    //自定义线程池大小，可配置。代码中默认10个
//    @Value("${threadPool.schedule.coreSize: 10}")
//    public int SCHEDULE_CORE_SIZE;
//
//    //自定义线程池名称
//    public static final String THREAD_NAME_WITH_SCHEDULE = "schedule-thread-%d";
//
//    @Override
//    public void configureTasks(ScheduledTaskRegistrar scheduledTaskRegistrar) {
////        scheduledTaskRegistrar.setScheduler(Executors.newScheduledThreadPool(SCHEDULE_CORE_SIZE));
//        scheduledTaskRegistrar.setScheduler(this.buildSchedulerThreadPool());
//        System.out.println("Scheduler threadpool core_size: " + SCHEDULE_CORE_SIZE);
//    }
//
//    /**
//     * Spring的@Scheduled的自定义周期性线程池
//     * @return
//     */
//    @Bean(value = "scheduleThreadPool")
//    public ExecutorService buildSchedulerThreadPool() {
//        ThreadFactory threadFactory = new ThreadFactoryBuilder()
//                .setNameFormat(THREAD_NAME_WITH_SCHEDULE).get();
//
//        /**
//         * 1. CallerRunsPolicy ：    这个策略重试添加当前的任务，他会自动重复调用 execute() 方法，直到成功。
//         2. AbortPolicy ：         对拒绝任务抛弃处理，并且抛出异常。
//         3. DiscardPolicy ：       对拒绝任务直接无声抛弃，没有异常信息。
//         4. DiscardOldestPolicy ： 对拒绝任务不抛弃，而是抛弃队列里面等待最久的一个线程，然后把拒绝任务加到队列。
//         不写则为默认的AbortPolicy策略。
//         */
//        ScheduledExecutorService threadPool = new ScheduledThreadPoolExecutor(
//                SCHEDULE_CORE_SIZE,
//                threadFactory);
//        return threadPool;
//    }
//}
